Subject: Re: [bug#67512] [PATCH v2 1/4] gnu: Move icu4c-73 from gnuzilla to icu4c.

From: Ian Eure <[email-masked]>
Date: Sun, 11 Feb 2024 15:23:39 -0800

Clément Lassieur <[email-masked]> writes:

> On Sun, Feb 11 2024, Ian Eure wrote:
>
>> * gnu/packages/icu4c.scm (icu4c-73): New variable.
>> * gnu/packages/gnuzilla.scm (icu4c-73-promise): Delete 
>> variable.
>>
>> Change-Id: I017e1416b70ecb94313aeb71aa4a0cafdfe0e9ab
>
> I'm sorry, but with this patch neither mullvadbrowser or 
> torbrowser
> builds.
>
> I get:
>
> error: icu4c-73-promise: unbound variable
>

It’s a oneliner fix, I’ll have an updated patch momentarily.

The root of the issue is that `make-torbrowser' is very naughty 
and uses the unexported icu4c-73-promise symbol from (gnu packages 
gnuzilla), so it broke when I moved it to the proper (gnu packages 
icu4c) module.

  — Ian